hub
Publish
Publish an agent to the Hub.
POST
/
api
/
hub
/
publish
Publish
curl --request POST \
--url https://api.example.com/api/hub/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>",
"hub_name": "<string>",
"hub_description": "<string>",
"hub_tags": [
"<string>"
],
"hub_category": "general"
}
'import requests
url = "https://api.example.com/api/hub/publish"
payload = {
"agent_id": "<string>",
"hub_name": "<string>",
"hub_description": "<string>",
"hub_tags": ["<string>"],
"hub_category": "general"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
hub_name: '<string>',
hub_description: '<string>',
hub_tags: ['<string>'],
hub_category: 'general'
})
};
fetch('https://api.example.com/api/hub/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Related topics
Publish a dashboardList published dashboards shared with the current userGet published dashboard by slug (public access)Agent HubAPI reference⌘I
Publish
